Index: palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- palm/trunk/SOURCE/ocean_mod.f90	(revision 4329)
+++ palm/trunk/SOURCE/ocean_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -89,5 +93,5 @@
 
     USE indices,                                                               &
-        ONLY:  advc_flags_s, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
+        ONLY:  advc_flags_s, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_total_0
 
     USE surface_mod,                                                           &
@@ -971,5 +975,5 @@
     USE indices,                                                               &
         ONLY: nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,            &
-              wall_flags_static_0
+              wall_flags_total_0
 
     IMPLICIT NONE
@@ -1039,6 +1043,6 @@
              DO  k = nzb_do, nzt_do
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
-                                         REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
+                                   REAL( fill_value, KIND = wp ),              &
+                                   BTEST( wall_flags_total_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1066,5 +1070,5 @@
     USE indices,                                                               &
         ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,           &
-               wall_flags_static_0
+               wall_flags_total_0
 
     IMPLICIT NONE
@@ -1131,6 +1135,6 @@
              DO  k = nzb_do, nzt_do
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
-                                         REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
+                                   REAL( fill_value, KIND = wp ),              &
+                                   BTEST( wall_flags_total_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1676,11 +1680,11 @@
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
-                sa_p(k,j,i) = sa(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) +      &
-                                                      tsc(3) * tsa_m(k,j,i) )  &
-                                                  - tsc(5) * rdf_sc(k) *       &
-                                                    ( sa(k,j,i) - sa_init(k) ) &
-                                          )                                    &
-                                            * MERGE( 1.0_wp, 0.0_wp,           &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) &
+                sa_p(k,j,i) = sa(k,j,i) + ( dt_3d * ( sbt * tend(k,j,i) +            &
+                                                      tsc(3) * tsa_m(k,j,i) )        &
+                                                  - tsc(5) * rdf_sc(k) *             &
+                                                    ( sa(k,j,i) - sa_init(k) )       &
+                                          )                                          &
+                                            * MERGE( 1.0_wp, 0.0_wp,                 &
+                                               BTEST( wall_flags_total_0(k,j,i), 0 ) &
                                                    )
                 IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
@@ -1829,5 +1833,5 @@
                                              * ( sa(k,j,i) - sa_init(k) )      &
                                     ) * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                         BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
           IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
